package main

type Color int

const (
	Gray Color = iota
	Black
	Blue
	Red
	Yellow
	Green
	White
	Magenta
)

func (c Color) String() string {
	switch c {
	case Gray:
		return "gray"
	case Black:
		return "black"
	case Blue:
		return "blue"
	case Red:
		return "red"
	case Yellow:
		return "yellow"
	case Green:
		return "green"
	case White:
		return "white"
	case Magenta:
		return "magenta"
	}

	return "gray"
}
